package com.jasamedika.medifirst2000.vo;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class ProdukPengeluaranVO extends BaseMasterVO {
	
	@Caption("Kode produkt")
	private String kdProduk;
	
	@Caption("Nama produk")
	private String namaProduk;
	
	@Caption("Nilai normal (default 1)")
	private short nilaiNormal = Short.parseShort("0");
	
	@Caption("QProduk (default 1)")
	private Integer qProduk = Integer.parseInt("0");
	
	@Caption("QTY jual terkecil (default 1)")
	private Double qtyJualTerkecil = Double.parseDouble("1");
	
	@Caption("QTY 1 kemasan (default 1)")
	private Double qtySatuKemasan = Double.parseDouble("1");
	
	@Caption("QTY terkecil (default 1)")
	private Double qtyTerkecil = Double.parseDouble("1");

	public String getKdProduk() {
		return kdProduk;
	}

	public void setKdProduk(String kdProduk) {
		this.kdProduk = kdProduk;
	}

	public String getNamaProduk() {
		return namaProduk;
	}

	public void setNamaProduk(String namaProduk) {
		this.namaProduk = namaProduk;
	}

	public short getNilaiNormal() {
		return nilaiNormal;
	}

	public void setNilaiNormal(short nilaiNormal) {
		this.nilaiNormal = nilaiNormal;
	}

	public Integer getqProduk() {
		return qProduk;
	}

	public void setqProduk(Integer qProduk) {
		this.qProduk = qProduk;
	}

	public Double getQtyJualTerkecil() {
		return qtyJualTerkecil;
	}

	public void setQtyJualTerkecil(Double qtyJualTerkecil) {
		this.qtyJualTerkecil = qtyJualTerkecil;
	}

	public Double getQtySatuKemasan() {
		return qtySatuKemasan;
	}

	public void setQtySatuKemasan(Double qtySatuKemasan) {
		this.qtySatuKemasan = qtySatuKemasan;
	}

	public Double getQtyTerkecil() {
		return qtyTerkecil;
	}

	public void setQtyTerkecil(Double qtyTerkecil) {
		this.qtyTerkecil = qtyTerkecil;
	}

}
